org.jbpm.services.task.commands

## Class AddContentCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<Long>
  - - org.jbpm.services.task.commands.AddContentCommand

- All Implemented Interfaces:
    Serializable, org.drools.core.command.impl.GenericCommand<Long>, org.kie.api.command.Command<Long>

      public class AddContentCommand
      extends TaskCommand<Long>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `DESCRIPTION_PROPERTY, EXPIRATION_DATE_PROPERTY, FAULT_PROPERTY, groupIds, OUTPUT_PROPERTY, PRIORITY_PROPERTY, SKIPPABLE_PROPERTY, SUB_TASK_STRATEGY_PROPERTY, targetEntityId, TASK_NAMES_PROPERTY, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddContentCommand()`
    `AddContentCommand(Long taskId, org.kie.api.task.model.Content content)`
    `AddContentCommand(Long taskId, Map<String,Object> params)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Long` | `execute(org.kie.internal.command.Context cntxt)`
    `org.kie.api.task.model.Content` | `getContent()`
    `JaxbContent` | `getJaxbContent()`
    `void` | `setContent(org.kie.api.task.model.Content content)`
    `void` | `setJaxbContent(JaxbContent jaxbContent)`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddContentCommand

          public AddContentCommand()

    - #### AddContentCommand

          public AddContentCommand(Long taskId,
                           org.kie.api.task.model.Content content)

    - #### AddContentCommand

          public AddContentCommand(Long taskId,
                           Map<String,Object> params)

  - ### Method Detail

    - #### execute

          public Long execute(org.kie.internal.command.Context cntxt)

    - #### getContent

          public org.kie.api.task.model.Content getContent()

    - #### setContent

          public void setContent(org.kie.api.task.model.Content content)

    - #### getJaxbContent

          public JaxbContent getJaxbContent()

    - #### setJaxbContent

          public void setJaxbContent(JaxbContent jaxbContent)

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.